package type3;

public class Transition {

	private String rule;
	private State next;

	public Transition(String rule, State next) {
		this.rule = rule;
		this.next = next;
	}

	public boolean isPossible(CharSequence c) {
		return this.rule.equals(c.toString());
	}

	public State state() {
		return this.next;
	}

}
